Package org.apache.nutch.fetcher

## Class FetcherThreadPublisher

- java.lang.Object
- - org.apache.nutch.fetcher.FetcherThreadPublisher

-     public class FetcherThreadPublisher
      extends Object

  This class handles the publishing of the events to the queue implementation.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FetcherThreadPublisher​(Configuration conf)` | Configure all registered publishers

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `publish​(FetcherThreadEvent event, Configuration conf)` | Publish event to all registered publishers

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FetcherThreadPublisher

          public FetcherThreadPublisher​(Configuration conf)

      Configure all registered publishers
      Parameters:
        `conf` - `Configuration` to be used

  - ### Method Detail

    - #### publish

          public void publish​(FetcherThreadEvent event,
                              Configuration conf)

      Publish event to all registered publishers
      Parameters:
        `event` - `Event` to be published
        `conf` - `Configuration` to be used